SuSE 10 Security Update : sudo (ZYPP Patch Number 6892)

Medium Nessus Plugin ID 49927


The remote SuSE 10 host is missing a security-related patch.


This update fixes the following security issue :

- A privilege escalation flaw was found in the way sudo used to check file paths for pseudocommands. If local, unprivileged user was authorized by sudoers file to edit one or more files, it could lead to execution of arbitrary code, with the privileges of privileged system user (root). (CVE-2010-0426:CVSS v2 Base Score: 6.6)


Apply ZYPP patch number 6892.

See Also

Plugin Details

Severity: Medium

ID: 49927

File Name: suse_sudo-6892.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2010/10/11

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/03/01

Exploitable With

Core Impact

Reference Information

CVE: CVE-2010-0426

CWE: 264